# registerBuildCacheService

abstract fun <T : BuildCache?> registerBuildCacheService(configurationType: Class<T>, buildCacheServiceFactoryType: Class<out BuildCacheServiceFactory<in T>>)

Registers a custom build cache type.

#### Parameters

configurationType

Configuration type used to provide parameters to a org.gradle.caching.BuildCacheService

buildCacheServiceFactoryType

Implementation type of BuildCacheServiceFactory that is used to create a `BuildCacheService`